.. _all-salt.output:

===================================
Full list of builtin output modules
===================================

Follow one of the below links for further information and examples

.. currentmodule:: salt.output

.. autosummary::
    :toctree:
    :template: autosummary.rst.tmpl

    grains
    highstate
    json_out
    key
    nested
    newline_values_only
    no_out
    no_return
    overstatestage
    pprint_out
    raw
    txt
    virt_query
    yaml_out
